# studio::Dock_Timetrack Class Reference

`#include <dock_timetrack.h>`

Inheritance diagram for studio::Dock_Timetrack:

List of all members.

## Public Member Functions

| Dock_Timetrack ()
| ~Dock_Timetrack ()

## Protected Member Functions

virtual void | init_canvas_view_vfunc (etl::loose_handle< CanvasView > canvas_view)
virtual void | changed_canvas_view_vfunc (etl::loose_handle< CanvasView > canvas_view)
void | refresh_selected_param ()

## Constructor & Destructor Documentation

Dock_Timetrack::Dock_Timetrack | ( |  | ) |

Dock_Timetrack::~Dock_Timetrack | ( |  | ) |

## Member Function Documentation

void Dock_Timetrack::init_canvas_view_vfunc | ( | etl::loose_handle< CanvasView > | canvas_view | ) | `[protected, virtual]`

Reimplemented from studio::Dock_CanvasSpecific.

References studio::Dockable::get_name(), and studio::CanvasView::on_waypoint_clicked_canvasview().

void Dock_Timetrack::changed_canvas_view_vfunc | ( | etl::loose_handle< CanvasView > | canvas_view | ) | `[protected, virtual]`

Reimplemented from studio::Dock_CanvasSpecific.

References studio::Dockable::get_name(), studio::Widget_Timeslider::set_bounds_adjustment(), studio::Widget_Timeslider::set_global_fps(), and studio::Widget_Timeslider::set_time_adjustment().

void Dock_Timetrack::refresh_selected_param | ( |  | ) | `[protected]`

The documentation for this class was generated from the following files:

- dock_timetrack.h
- dock_timetrack.cpp